Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79236 - possibly poor source code
Summary: possibly poor source code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-PDL
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 10:46 UTC by d.binderman
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-28 07:09:27 UTC


Attachments (Terms of Use)

Description d.binderman 2002-12-08 10:46:27 UTC
Description of Problem:

Hello there,

I just tried to compile package perl-PDL-2.3.2-10 from Redhat 8.0.

Here are some of the compiler messages.

IIS.xs:174: warning: operation on `n_a' may be undefined
IIS.xs:372: warning: operation on `n_a' may be undefined
IIS.xs:570: warning: operation on `n_a' may be undefined
IIS.xs:768: warning: operation on `n_a' may be undefined
IIS.xs:966: warning: operation on `n_a' may be undefined
IIS.xs:1164: warning: operation on `n_a' may be undefined
IIS.xs:1482: warning: operation on `n_a' may be undefined
IIS.xs:1564: warning: operation on `n_a' may be undefined
IIS.xs:1646: warning: operation on `n_a' may be undefined
IIS.xs:1728: warning: operation on `n_a' may be undefined
IIS.xs:1810: warning: operation on `n_a' may be undefined
IIS.xs:1892: warning: operation on `n_a' may be undefined
IIS.xs:2031: warning: operation on `n_a' may be undefined

I'm not sure what the fix is for this.

Here are 314 places where the compiler suspects a problem.

pdlapi.c:422: warning: `sz' might be used uninitialized in this function
pdlthread.c:403: warning: `stopdim' might be used uninitialized in this function
Ops.xs:10266: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10374: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10482: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10596: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10710: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10824: warning: `c_SV' might be used uninitialized in this function
Ops.xs:10938: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11052: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11166: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11274: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11382: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11494: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11606: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11712: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11818: warning: `c_SV' might be used uninitialized in this function
Ops.xs:11924: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12023: warning: `c_SV' might be used uninitialized in this function
Ops.xs:12132: warning: `c_SV' might be used uninitialized in this function
Ops.xs:12241: warning: `c_SV' might be used uninitialized in this function
Ops.xs:12355: warning: `c_SV' might be used uninitialized in this function
Ops.xs:12469: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12570: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12669: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12770: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12871: warning: `b_SV' might be used uninitialized in this function
Ops.xs:12972: warning: `b_SV' might be used uninitialized in this function
Ops.xs:13068: warning: `b_SV' might be used uninitialized in this function
Ops.xs:13199: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:11231: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11278: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11325: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11372: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11419: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11466: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11652: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11653: warning: `curind' might be used uninitialized in this function
Ufunc.xs:11701: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11702: warning: `curind' might be used uninitialized in this function
Ufunc.xs:11750: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11751: warning: `curind' might be used uninitialized in this function
Ufunc.xs:11799: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11800: warning: `curind' might be used uninitialized in this function
Ufunc.xs:11848: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11849: warning: `curind' might be used uninitialized in this function
Ufunc.xs:11897: warning: `cur' might be used uninitialized in this function
Ufunc.xs:11898: warning: `curind' might be used uninitialized in this function
Ufunc.xs:12100: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12159: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12218: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12277: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12336: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12395: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12592: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12639: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12686: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12733: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12780: warning: `cur' might be used uninitialized in this function
Ufunc.xs:12827: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13013: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13014: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13062: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13063: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13111: warning: `cur' might beused uninitialized in this function
Ufunc.xs:13112: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13160: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13161: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13209: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13210: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13258: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13259: warning: `curind' might be used uninitialized in this function
Ufunc.xs:13461: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13520: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13579: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13638: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13697: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13756: warning: `cur' might be used uninitialized in this function
Ufunc.xs:13998: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:13998: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:13999: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:13999: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14083: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:14083: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:14084: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:14084: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14168: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:14168: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:14169: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:14169: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14253: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:14253: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:14254: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:14254: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14338: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:14338: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:14339: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:14339: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14423: warning: `curmin' might be used uninitialized in this function
Ufunc.xs:14423: warning: `curmax' might be used uninitialized in this function
Ufunc.xs:14424: warning: `curmin_ind' might be used uninitialized in this function
Ufunc.xs:14424: warning: `curmax_ind' might be used uninitialized in this function
Ufunc.xs:14549: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:14635: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:14721: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:14807: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:14893: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:14979: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15065: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15151: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15237: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15321: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15405: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15489: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15575: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15659: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15745: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15831: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:15917: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:16054: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:16191: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:16339: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:16487: warning: `b_SV' might be used uninitialized in this function
Ufunc.xs:16577: warning: `indx_SV' might be used uninitialized in this function
Ufunc.xs:16663: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:16753: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:16839: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:16925: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:17015: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:17101: warning: `c_SV' might be used uninitialized in this function
Ufunc.xs:17187: warning: `cmin_SV' might be used uninitialized in this function
Ufunc.xs:17188: warning: `cmax_SV' might be used uninitialized in this function
Ufunc.xs:17189: warning: `cmin_ind_SV' might be used uninitialized in this function
Ufunc.xs:17190: warning: `cmax_ind_SV' might be used uninitialized in this function
Primitive.xs:7920: warning: `curmin' might be used uninitialized in this function
Primitive.xs:7920: warning: `curmax' might be used uninitialized in this function
Primitive.xs:8043: warning: `curmin' might be used uninitialized in this function
Primitive.xs:8043: warning: `curmax' might be used uninitialized in this function
Primitive.xs:8166: warning: `curmin' might be used uninitialized in this function
Primitive.xs:8166: warning: `curmax' might be used uninitialized in this function
Primitive.xs:8289: warning: `curmin' might be used uninitialized in this function
Primitive.xs:8289: warning: `curmax' might be used uninitialized in this function
Primitive.xs:8412: warning: `curmin' might be used uninitialized in this function
Primitive.xs:8412: warning: `curmax' might be used uninitialized in this function
Primitive.xs:8535: warning: `curmin' might be used uninitialized in this function
Primitive.xs:8535: warning: `curmax' might be used uninitialized in this function
Primitive.xs:16187: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:16287: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:16387: warning: `d_SV' might be used uninitialized in this function
Primitive.xs:16497: warning: `d_SV' might be used uninitialized in this function
Primitive.xs:16607: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:16708: warning: `d_SV' might be used uninitialized in this function
Primitive.xs:16866: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:16966: warning: `norm_SV' might be used uninitialized in this function
Primitive.xs:17056: warning: `sum_SV' might be used uninitialized in this function
Primitive.xs:17202: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:17398: warning: `b_SV' might be used uninitialized in this function
Primitive.xs:17583: warning: `hist_SV' might be used uninitialized in this function
Primitive.xs:17678: warning: `hist_SV' might be used uninitialized in this function
Primitive.xs:17780: warning: `hist_SV' might be used uninitialized in this function
Primitive.xs:17894: warning: `hist_SV' might be used uninitialized in this function
Primitive.xs:18047: warning: `c_SV' might be used uninitialized in this function
Primitive.xs:18147: warning: `a_SV' might be used uninitialized in this function
Primitive.xs:18282: warning: `ip_SV' might be used uninitialized in this function
Primitive.xs:18374: warning: `yi_SV' might be used uninitialized in this function
Primitive.xs:18375: warning: `err_SV' might be used uninitialized in this function
Slices.xs:10482: warning: `a_SV' might be used uninitialized in this function
Slices.xs:10483: warning: `b_SV' might be used uninitialized in this function
Tests.xs:1845: warning: `b_SV' might be used uninitialized in this function
Tests.xs:1923: warning: `b_SV' might be used uninitialized in this function
Tests.xs:2009: warning: `b_SV' might be used uninitialized in this function
Tests.xs:2095: warning: `a_SV' might be used uninitialized in this function
Tests.xs:2178: warning: `b_SV' might be used uninitialized in this function
Math.xs:8740: warning: `b_SV' might be used uninitialized in this function
Math.xs:8837: warning: `b_SV' might be used uninitialized in this function
Math.xs:8934: warning: `b_SV' might be used uninitialized in this function
Math.xs:9031: warning: `b_SV' might be used uninitialized in this function
Math.xs:9128: warning: `b_SV' might be used uninitialized in this function
Math.xs:9225: warning: `b_SV' might be used uninitialized in this function
Math.xs:9322: warning: `b_SV' might be used uninitialized in this function
Math.xs:9419: warning: `b_SV' might be used uninitialized in this function
Math.xs:9520: warning: `b_SV' might be used uninitialized in this function
Math.xs:9621: warning: `b_SV' might be used uninitialized in this function
Math.xs:9722: warning: `c_SV' might be used uninitialized in this function
Math.xs:9827: warning: `b_SV' might be used uninitialized in this function
Math.xs:9924: warning: `b_SV' might be used uninitialized in this function
Math.xs:10021: warning: `b_SV' might be used uninitialized in this function
Math.xs:10118: warning: `b_SV' might be used uninitialized in this function
Math.xs:10215: warning: `b_SV' might be used uninitialized in this function
Math.xs:10312: warning: `b_SV' might be used uninitialized in this function
Math.xs:10409: warning: `b_SV' might be used uninitialized in this function
Math.xs:10506: warning: `b_SV' might be used uninitialized in this function
Math.xs:10603: warning: `b_SV' might be used uninitialized in this function
Math.xs:10700: warning: `b_SV' might be used uninitialized in this function
Math.xs:10798: warning: `b_SV' might be used uninitialized in this function
Math.xs:10896: warning: `b_SV' might be used uninitialized in this function
Math.xs:10897: warning: `s_SV' might be used uninitialized in this function
Math.xs:11011: warning: `c_SV' might be used uninitialized in this function
Math.xs:11116: warning: `mask_SV' might be used uninitialized in this function
Math.xs:11207: warning: `b_SV' might be used uninitialized in this function
Math.xs:11304: warning: `b_SV' might be used uninitialized in this function
Math.xs:11401: warning: `u_SV' might be used uninitialized in this function
Math.xs:11402: warning: `z_SV' might be used uninitialized in this function
Math.xs:11403: warning: `v_SV' might be used uninitialized in this function
Math.xs:11544: warning: `rr_SV' might be used uninitialized in this function
Math.xs:11545: warning: `ri_SV' might be used uninitialized in this function
Math.xs:11714: warning: `x_SV' might be used uninitialized in this function
Math.xs:11715: warning: `ips_SV' might be used uninitialized in this function
cpoly.c:445: warning: `omp' might be used uninitialized in this function
cpoly.c:445: warning: `relstp' might be used uninitialized in this function
simq.c:56: warning: `idxpiv' might be used uninitialized in this function
simq.c:58: warning: `nm1' might be used uninitialized in this function
Complex.xs:10156: warning: `p_SV' might be used uninitialized in this function
Complex.xs:10242: warning: `p_SV' might be used uninitialized in this function
Complex.xs:10328: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10428: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10528: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10628: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10728: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10824: warning: `c_SV' might be used uninitialized in this function
Complex.xs:10920: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11010: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11096: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11186: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11272: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11358: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11444: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11530: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11616: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11712: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11798: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11884: warning: `c_SV' might be used uninitialized in this function
Complex.xs:11970: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12056: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12142: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12228: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12314: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12400: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12486: warning: `c_SV' might be used uninitialized in this function
Complex.xs:12609: warning: `out_SV' might be used uninitialized in this function
Misc.xs:1631: warning: `nums_SV' might be used uninitialized in this function
Misc.xs:1632: warning: `ierr_SV' might be used uninitialized in this function
Pnm.xs:148: warning: `k' might be used uninitialized in this function
Pnm.xs:1679: warning: `im_SV' might be used uninitialized in this function
Pnm.xs:1772: warning: `im_SV' might be used uninitialized in this function
ImageRGB.xs:349: warning: `b_SV' might be used uninitialized in this function
ImageRGB.xs:350: warning: `c_SV' might be used uninitialized in this function
Gaussian.xs:1125: warning: `xcentre_SV' might be used uninitialized in this function
Gaussian.xs:1126: warning: `peak_ht_SV' might be used uninitialized in this function
Gaussian.xs:1127: warning: `fwhm_SV' might be used uninitialized in this function
Gaussian.xs:1128: warning: `background_SV' might be used uninitialized in this function
Gaussian.xs:1129: warning: `err_SV' might be used uninitialized in this function
Gaussian.xs:1130: warning: `datafit_SV' might be used uninitialized in this function
Gaussian.xs:1543: warning: `peak_ht_SV' might be used uninitialized in this function
Gaussian.xs:1544: warning: `fwhm_SV' might be used uninitialized in this function
Gaussian.xs:1545: warning: `background_SV' might be used uninitialized in this function
Gaussian.xs:1546: warning: `err_SV' might be used uninitialized in this function
Gaussian.xs:1547: warning: `datafit_SV' might be used uninitialized in this function
FFT.xs:2434: warning: `real_SV' might be used uninitialized in this function
FFT.xs:2435: warning: `imag_SV' might be used uninitialized in this function
FFT.xs:2533: warning: `real_SV' might be used uninitialized in this function
FFT.xs:2534: warning: `imag_SV' might be used uninitialized in this function
FFT.xs:2632: warning: `a_SV' might be used uninitialized in this function
FFT.xs:2633: warning: `b_SV' might be used uninitialized in this function
FFT.xs:2735: warning: `cr_SV' might be used uninitialized in this function
FFT.xs:2736: warning: `ci_SV' might be used uninitialized in this function
FFT.xs:2884: warning: `cr_SV' might be used uninitialized in this function
FFT.xs:2885: warning: `ci_SV' might be used uninitialized in this function
Image2D.xs:4678: warning: `cur' might be used uninitialized in this function
Image2D.xs:4757: warning: `cur' might be used uninitialized in this function
Image2D.xs:4836: warning: `cur' might be used uninitialized in this function
Image2D.xs:4915: warning: `cur' might be used uninitialized in this function
Image2D.xs:4994: warning: `cur' might be used uninitialized in this function
Image2D.xs:5073: warning: `cur' might be used uninitialized in this function
Image2D.xs:6137: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6141: warning: `equiv' might be used uninitialized in this function
Image2D.xs:6276: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6280: warning: `equiv' might be used uninitialized in this function
Image2D.xs:6415: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6419: warning: `equiv' might be used uninitialized in this function
Image2D.xs:6554: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6558: warning: `equiv' might be used uninitialized in this function
Image2D.xs:6693: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6697: warning: `equiv' might be used uninitialized in this function
Image2D.xs:6832: warning: `newlabel' might be used uninitialized in this function
Image2D.xs:6836: warning: `equiv' might be used uninitialized in this function
Image2D.xs:8657: warning: `cx' might be used uninitialized in this function
Image2D.xs:8908: warning: `cx' might be used uninitialized in this function
Image2D.xs:9159: warning: `cx' might be used uninitialized in this function
Image2D.xs:9410: warning: `cx' might be used uninitialized in this function
Image2D.xs:9661: warning: `cx' might be used uninitialized in this function
Image2D.xs:9912: warning: `cx' might be used uninitialized in this function
Image2D.xs:11235: warning: `b_SV' might be used uninitialized in this function
Image2D.xs:11332: warning: `b_SV' might be used uninitialized in this function
Image2D.xs:11422: warning: `val_SV' might be used uninitialized in this function
Image2D.xs:11423: warning: `x_SV' might be used uninitialized in this function
Image2D.xs:11424: warning: `y_SV' might be used uninitialized in this function
Image2D.xs:11562: warning: `xcen_SV' might be used uninitialized in this function
Image2D.xs:11563: warning: `ycen_SV' might be used uninitialized in this function
Image2D.xs:11711: warning: `b_SV' might be used uninitialized in this function
Image2D.xs:11801: warning: `im_SV' might be used uninitialized in this function
Image2D.xs:11910: warning: `om_SV' might be used uninitialized in this function
ImageND.xs:286: warning: `offcen' might be used uninitialized in this function
ImageND.xs:286: warning: `ncen' might be used uninitialized in this function
ImageND.xs:441: warning: `offcen' might be used uninitialized in this function
ImageND.xs:441: warning: `ncen' might be used uninitialized in this function
ImageND.xs:596: warning: `offcen' might be used uninitialized in this function
ImageND.xs:596: warning: `ncen' might be used uninitialized in this function
ImageND.xs:751: warning: `offcen' might be used uninitialized in this function
ImageND.xs:751: warning: `ncen' might be used uninitialized in this function
ImageND.xs:906: warning: `offcen' might be used uninitialized in this function
ImageND.xs:906: warning: `ncen' might be used uninitialized in this function
ImageND.xs:1061: warning: `offcen' might be used uninitialized in this function
ImageND.xs:1061: warning: `ncen' might be used uninitialized in this function


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:


Note You need to log in before you can comment on or make changes to this bug.